# Script copies ViPNet SafeBoot modules to ESP partition.
# Usage:
#  phase_fs_mods.nsh <InstallPkgPartition> <EspPartition> <InstallProfile>

echo -off

set -v InstallPkgPartition %1
set -v EspPartition %2
set -v InstallProfile %3

set -v InstallPkgDir itinstall
set -v EfiModulesInInstallPkgDir %InstallPkgDir%\modules\efi

set -v EfiDir EFI
set -v EspItDir %EfiDir%\Infotecs

#%InstallPkgPartition%:

# do not copy fs modules for common_full install configuration
if %InstallProfile% == common_base then
  cp -r -q %EfiModulesInInstallPkgDir%\*.efi %EspPartition%:\%EspItDir%\ > NUL
else
  if %InstallProfile% == common_base_plus_extntfs then
    cp -r -q %EfiModulesInInstallPkgDir%\*.efi %EspPartition%:\%EspItDir%\ > NUL
    rm -q %EspPartition%:\%EspItDir%\ExtNtfs.efi
  endif
endif
# TODO?: think about not-quite mode

if %lasterror% == 0xE then
  exit /b 0
endif

:Exit
